<?php
defined('ABSPATH') or die("Please don't run this script.");
/**
 * Index Settings
 *
 * @package Simple Days
 */



$wp_customize->add_section('simple_days_layout_index',array(
  'title' => esc_html__('Layout', 'simple-days'),
  'panel' => 'simple_days_index_setting',
));



$wp_customize->add_setting( 'simple_days_index_layout_list', array(
  'default'           => 'list',
  'sanitize_callback' => 'sanitize_key',
  'transport' => 'postMessage',
) );
$wp_customize->add_control( new Simple_Days_Image_Select_Control( $wp_customize, 'simple_days_index_layout_list', array(
  'label'       => esc_html__( 'Layout', 'simple-days' ),
  'description' => __( 'Choose a layout for the blog posts.', 'simple-days' ),
  'section'     => 'simple_days_layout_index',
  'choices'     => array(
    'list' => array(
      'label' => esc_html__( 'List layout', 'simple-days' ),
      'url'   => '%slayout_list.png'
    ),
    'grid2'    => array(
      'label' => esc_html__( 'Two grid layout', 'simple-days' ),
      'url'   => '%slayout_grid2.png'
    ),
    'grid3'    => array(
      'label' => esc_html__( 'Three grid layout', 'simple-days' ),
      'url'   => '%slayout_grid3.png'
    ),
  ),
)));


$wp_customize->add_setting( 'simple_days_index_typical', array(
  'default'           => 'original',
  'sanitize_callback' => 'simple_days_sanitize_radio',
));
$wp_customize->add_control( 'simple_days_index_typical', array(
  'label'    => esc_html__( 'Category and date display style', 'simple-days' ),
    //'description' => esc_html__('Date and category disappears when you select hide.', 'simple-days'),
  'section'  => 'simple_days_layout_index',
  'type'     => 'radio',
  'choices'  => array(
    'original' => esc_html__( 'Simple Days style', 'simple-days' ),
    'typical' => esc_html__( 'Typical', 'simple-days' ),
  ),
));




$wp_customize->add_setting('index_thumbnail',array('sanitize_callback' => 'absint',));
$wp_customize->add_control('index_thumbnail',array(
  'section' => 'simple_days_layout_index',
  'type' => 'hidden'
));
$wp_customize->selective_refresh->add_partial( 'index_thumbnail', array(
 'selector' => '.post_card_thum',
));
$wp_customize->add_setting( 'simple_days_index_thumbnail', array(
  'default'           => 'left',
  'sanitize_callback' => 'simple_days_sanitize_radio',
));
$wp_customize->add_control( 'simple_days_index_thumbnail', array(
  'label'    => esc_html__( 'Thumbnail display position', 'simple-days' ),
    //'description' => esc_html__('Date and category disappears when you select hide.', 'simple-days'),
  'section'  => 'simple_days_layout_index',
  'type'     => 'radio',
  'choices'  => array(
    'left' => esc_html__( 'Left', 'simple-days' ).esc_html__( '(Up)', 'simple-days' ),
    'right' => esc_html__( 'Right', 'simple-days' ).esc_html__( '(Down)', 'simple-days' ),
    'none' => esc_html__( 'Hide', 'simple-days' ),
  ),
));

$wp_customize->add_setting( 'simple_days_index_list_widget_position', array(
  'default'           => 'after',
  'sanitize_callback' => 'simple_days_sanitize_radio',
));
$wp_customize->add_control( 'simple_days_index_list_widget_position', array(
  'label'    => esc_html__( 'How to Insert Index list widget area', 'simple-days' ),
  'section'  => 'simple_days_layout_index',
  'type'     => 'radio',
  'choices'  => array(
    'after' => esc_html__( 'Just after post', 'simple-days' ),
    'every' => esc_html__( 'Every post', 'simple-days' ),
  ),
));


$wp_customize->add_setting( 'simple_days_index_list_widget_number', array(
  'default' => 3,
  'sanitize_callback' => 'absint',
));
$wp_customize->add_control( 'simple_days_index_list_widget_number', array(
  'label' => esc_html__( 'Count of post for above configuring', 'simple-days' ),
        //'description' => esc_html__( 'Count of post for above configuring', 'simple-days' ),
        'section' => 'simple_days_layout_index', // Add a default or your own section
        'type' => 'number',
        'input_attrs' => array(
          'min' => 1, 'step' => 1, 'max' => 10,
        ),
      ));







$wp_customize->add_section('simple_days_index_simple_days_style',array(
  'title' => esc_html__('Simple Days style', 'simple-days'),
  'panel' => 'simple_days_index_setting',
));


$wp_customize->add_setting('post_date_wrap',array('sanitize_callback' => 'absint',));
$wp_customize->add_control('post_date_wrap',array(
  'section' => 'simple_days_index_simple_days_style',
  'type' => 'hidden'
));
$wp_customize->selective_refresh->add_partial( 'post_date_wrap', array(
 'selector' => '.post_date_wrap',
));
$wp_customize->add_setting( 'simple_days_top_date_format', array(
  'default'           => '1',
  'sanitize_callback' => 'simple_days_sanitize_radio',
  'transport' => 'postMessage',
)
);
$wp_customize->add_control( 'simple_days_top_date_format', array(
  'label'    => esc_html__( 'post date display format', 'simple-days' ),
  'section'  => 'simple_days_index_simple_days_style',
  'type'     => 'radio',
  'choices'  => array(
    '1' => esc_html__( 'day-month-year', 'simple-days' ),
    '2' => esc_html__( 'month-day-year', 'simple-days' ),
  ),
));
$wp_customize->add_setting( 'simple_days_top_date_wrap', array(
  'default'           => '1',
  'sanitize_callback' => 'simple_days_sanitize_radio',
  'transport' => 'postMessage',
)
);
$wp_customize->add_control( 'simple_days_top_date_wrap', array(
  'label'    => esc_html__( 'post date display shape', 'simple-days' ),
  'description' => esc_html__('around of a line appear rounded or squared', 'simple-days'),
  'section'  => 'simple_days_index_simple_days_style',
  'type'     => 'radio',
  'choices'  => array(
    '1' => esc_html__( 'Circle', 'simple-days' ),
    '2' => esc_html__( 'Square', 'simple-days' ),
  ),
));

$wp_customize->add_setting( 'simple_days_index_date_position', array(
  'default'           => 'left',
  'sanitize_callback' => 'simple_days_sanitize_radio',
  'transport' => 'postMessage',
));
$wp_customize->add_control( 'simple_days_index_date_position', array(
  'label'    => esc_html__( 'Post date display position', 'simple-days' ),
  'section'  => 'simple_days_index_simple_days_style',
  'type'     => 'radio',
  'choices'  => array(
    'left' => esc_html__( 'Left', 'simple-days' ),
    'right' => esc_html__( 'Right', 'simple-days' ),
    'none' => esc_html__( 'Hide', 'simple-days' ),
  ),
));




$wp_customize->add_setting('index_category',array('sanitize_callback' => 'absint',));
$wp_customize->add_control('index_category',array(
  'section' => 'simple_days_index_simple_days_style',
  'type' => 'hidden'
));
$wp_customize->selective_refresh->add_partial( 'index_category', array(
  'selector' => '.post_card_category',
));


$wp_customize->add_setting( 'simple_days_index_category_position', array(
  'default'           => 'right',
  'sanitize_callback' => 'simple_days_sanitize_radio',
  'transport' => 'postMessage',
));
$wp_customize->add_control( 'simple_days_index_category_position', array(
  'label'    => esc_html__( 'Post category display position', 'simple-days' ),
  'section'  => 'simple_days_index_simple_days_style',
  'type'     => 'radio',
  'choices'  => array(
    'left' => esc_html__( 'Left', 'simple-days' ),
    'right' => esc_html__( 'Right', 'simple-days' ),
    'none' => esc_html__( 'Hide', 'simple-days' ),
  ),
));








$wp_customize->add_section('simple_days_index_excerpt_setting',array(
  'title' => esc_html__('Excerpt', 'simple-days'),
  'panel' => 'simple_days_index_setting',
));











$wp_customize->add_setting('excerpt_length',array('sanitize_callback' => 'absint',));
$wp_customize->add_control('excerpt_length',array(
  'section' => 'simple_days_index_excerpt_setting',
  'type' => 'hidden'
));
$wp_customize->selective_refresh->add_partial( 'excerpt_length', array(
 'selector' => '.post_card .summary',
));
$wp_customize->add_setting( 'simple_days_excerpt_length_customize', array(
  'default' => 150,
  'sanitize_callback' => 'absint',
));
$wp_customize->add_control( 'simple_days_excerpt_length_customize', array(
  'label' => esc_html__( 'Excerpt length', 'simple-days' ),
  'description' => esc_html__('default&#58;', 'simple-days').esc_html('150'),
  'section' => 'simple_days_index_excerpt_setting',
  'type' => 'number',
  'input_attrs' => array(
    'min' => '0', 'step' => '1', 'max' => '500',),
));

$delimiter = '&hellip;';
$wp_customize->add_setting( 'simple_days_excerpt_ellipsis',array(
  'default'    => $delimiter,
  'sanitize_callback' => 'wp_strip_all_tags',
));
$wp_customize->add_control( 'simple_days_excerpt_ellipsis',array(
  'label'   => esc_html__( 'Ellipsis', 'simple-days'),
  'section' => 'simple_days_index_excerpt_setting',
  'type' => 'select',
  'choices' => array(
   '&nbsp;' => esc_html('&nbsp;'),
   '&hellip;' => esc_html('&hellip;'),
   '[&hellip;]' => esc_html('[&hellip;]'),
   '&#8229;' => esc_html('&#8229;'),
 ),
));








$wp_customize->add_setting('more_read',array('sanitize_callback' => 'absint',));
$wp_customize->add_control('more_read',array(
  'section' => 'simple_days_index_excerpt_setting',
  'type' => 'hidden'
));
$wp_customize->selective_refresh->add_partial( 'more_read', array(
  'selector' => '.more_read',
));
$wp_customize->add_setting( 'simple_days_read_more_position', array(
  'default'           => 'right',
  'sanitize_callback' => 'simple_days_sanitize_radio',
  'transport' => 'postMessage',
));
$wp_customize->add_control( 'simple_days_read_more_position', array(
  'label'    => esc_html__( 'Read More display position', 'simple-days' ),
  'section'  => 'simple_days_index_excerpt_setting',
  'type'     => 'radio',
  'choices'  => array(
    'left' => esc_html__( 'Left', 'simple-days' ),
    'center' => esc_html__( 'Center', 'simple-days' ),
    'right' => esc_html__( 'Right', 'simple-days' ),
    'none' => esc_html__( 'Hide', 'simple-days' ),
  ),
));





$wp_customize->add_section('simple_days_index_title_setting',array(
  'title' => esc_html__('Title', 'simple-days'),
  'panel' => 'simple_days_index_setting',
));

$wp_customize->add_setting('simple_days_index_title_partial',array('sanitize_callback' => 'absint',));
$wp_customize->add_control('simple_days_index_title_partial',array('type' => 'hidden',
  'section' => 'simple_days_index_title_setting',
));
$wp_customize->selective_refresh->add_partial( 'simple_days_index_title_partial', array(
  'selector' => '.entry_title',
));

$wp_customize->add_setting( 'simple_days_index_title_info', array(
  'sanitize_callback' => 'sanitize_text_field',
));
$wp_customize->add_control( new Simple_Days_html_text_Custom_Content( $wp_customize, 'simple_days_index_title_info', array(
  'section' => 'simple_days_index_title_setting',
  
  'label' => esc_html__( 'Index title',  'simple-days'),

)));

$custom_section = 'simple_days_index_title_setting';
$custom_name = 'simple_days_index_title_';

Simple_Days_custom_text_size($wp_customize,$custom_name,$custom_section,21);

Simple_Days_custom_font_weight($wp_customize,$custom_name,$custom_section,700);

Simple_Days_custom_text_color($wp_customize,$custom_name,$custom_section,'');

Simple_Days_custom_text_hover_color($wp_customize,$custom_name,$custom_section,'');

Simple_Days_custom_text_position($wp_customize,$custom_name,$custom_section,'left');


$custom_default['margin_min'] = -12;
Simple_Days_custom_padding_margin($wp_customize,$custom_name,$custom_section,$custom_default,$border_angle);

$custom_default = array();
Simple_Days_custom_border($wp_customize,$custom_name,$custom_section,$custom_default,$border_angle,$heading_border_style);

Simple_Days_custom_background_color($wp_customize,$custom_name,$custom_section,'');

Simple_Days_custom_border_radius($wp_customize,$custom_name,$custom_section,'');

Simple_Days_custom_balloon($wp_customize,$custom_name,$custom_section,'');
