<?php
defined('ABSPATH') or die("Please don't run this script.");
/**
 * Extra content
 *
 * @package Simple Days
 */


add_filter('the_content','simple_days_replace_content');

function simple_days_replace_content($the_content) {
  if (is_singular()){

    $format = get_post_format();
    if($format == 'chat'){
      get_template_part( 'inc/extra','chat' );
      $the_content = simple_days_extra_content_chat($the_content);
    }
    
    if ( get_theme_mod( 'simple_days_toc',false)) {
      require_once SIMPLE_DAYS_THEME_DIR . 'inc/extra-toc.php';
    //get_template_part( 'inc/extra','toc' );
      $the_content = simple_days_extra_content_toc($the_content);
    }


    
  if ( is_single() && (is_active_sidebar( 'before_h2_no1' ) || is_active_sidebar( 'before_h2_no2' ) ||is_active_sidebar( 'before_h2_no3' ))) { //is_single()
    $pattern = '{<h2.*?>.+?<\/h2>}ismu';

    if ( preg_match_all( $pattern, $the_content, $result )) {
      if ( $result[0] ) {
        if ( isset($result[0][0]) && is_active_sidebar( 'before_h2_no1' )) {
          ob_start();
          dynamic_sidebar( 'before_h2_no1' );
          $before_h2 = ob_get_clean();
          $the_content  = str_replace($result[0][0], $before_h2.$result[0][0], $the_content);

        }
        if ( isset($result[0][1]) && is_active_sidebar( 'before_h2_no2' )) {
          ob_start();
          dynamic_sidebar( 'before_h2_no2' );
          $before_h2 = ob_get_clean();
          $the_content  = str_replace($result[0][1], $before_h2.$result[0][1], $the_content);
        }
        if ( isset($result[0][2]) && is_active_sidebar( 'before_h2_no3' ) ) {
          ob_start();
          dynamic_sidebar( 'before_h2_no3' );
          $before_h2 = ob_get_clean();
          $the_content  = str_replace($result[0][2], $before_h2.$result[0][2], $the_content);
        }
      }
    }
  }
  
  if ( is_page() && (is_active_sidebar( 'page_before_h2_no1' ) || is_active_sidebar( 'page_before_h2_no2' ) ||is_active_sidebar( 'page_before_h2_no3' ))) { //is_single()
    $pattern = '/^<h2.*?>.+?<\/h2>$/im';
    if ( preg_match_all( $pattern, $the_content, $result )) {
      if ( $result[0] ) {
        if ( isset($result[0][0]) && is_active_sidebar( 'page_before_h2_no1' )) {
          ob_start();
          dynamic_sidebar( 'page_before_h2_no1' );
          $before_h2 = ob_get_clean();
          $the_content  = str_replace($result[0][0], $before_h2.$result[0][0], $the_content);

        }
        if ( isset($result[0][1]) && is_active_sidebar( 'page_before_h2_no2' )) {
          ob_start();
          dynamic_sidebar( 'page_before_h2_no2' );
          $before_h2 = ob_get_clean();
          $the_content  = str_replace($result[0][1], $before_h2.$result[0][1], $the_content);
        }
        if ( isset($result[0][2]) && is_active_sidebar( 'page_before_h2_no3' ) ) {
          ob_start();
          dynamic_sidebar( 'page_before_h2_no3' );
          $before_h2 = ob_get_clean();
          $the_content  = str_replace($result[0][2], $before_h2.$result[0][2], $the_content);
        }
      }
    }
  }





  
  $blog_local = get_theme_mod( 'simple_days_blog_card_internal',false);
  $blog_external = get_theme_mod( 'simple_days_blog_card_external',false);
  
  if ( $blog_local == true || $blog_external == true ) {
    require_once SIMPLE_DAYS_THEME_DIR . 'inc/extra-blogcard.php';
    $the_content = simple_days_extra_content_blog_card($the_content);
  }

  if ( is_amp ){


  }else{
    
    if (get_theme_mod( 'simple_days_lightbox','false') == 'lity'){
      $pattern ='/<a(.*?)href=[\'"](.*?).(png|jpe?g|gif|svg|webp|bmp|ico|tiff?)[\'"](.*?)><img/i';
      $replacement = '<a$1href="$2.$3"$4 data-lity><img';
      $the_content = preg_replace($pattern, $replacement, $the_content);
    }

    
    if (get_theme_mod( 'simple_days_highlight',false)){
      $highlight = (strpos($the_content,'<pre>') !== false ? true : false);
      if ($highlight == true){
        add_action( 'wp_footer', 'highlight_load');
        add_action( 'wp_footer', 'highlight_onload', 30);
      }
    }
  }


}


if ( is_amp ){

  require_once SIMPLE_DAYS_THEME_DIR . 'inc/extra-amp.php';
  $the_content = simple_days_extra_content_amp($the_content);

}

return $the_content;
}
