<?php
defined('ABSPATH') or die("Please don't run this script.");

$post_id = get_query_var('add_meta');

if (!is_amp){
  if ( !is_user_logged_in() ){
    
    if( get_theme_mod( 'simple_days_google_site_verification','') != '' && get_theme_mod( 'simple_days_ga_analytics',false) && get_theme_mod( 'simple_days_ga_analytics_id','') != ''){
      echo '<meta name="google-site-verification" content="'.esc_attr(get_theme_mod( 'simple_days_google_site_verification','')).'"/>'."\n";
    }
  }
}

if ( get_theme_mod( 'simple_days_ogp',false)){
  $url = $description = $title = $image = '';
  $ogp_logo = get_theme_mod( 'simple_days_ogp_logo_img',esc_url(SIMPLE_DAYS_THEME_URI .'assets/images/ogp.jpg'));
  if(is_home()){
   $url = home_url();
   $description = get_bloginfo('description');
   $title = get_bloginfo('name');
   $imgae = $ogp_logo;
 }else{
   $url = get_the_permalink();
   if(have_posts()): while(have_posts()): the_post();
     $description = mb_strimwidth( wp_strip_all_tags(strip_shortcodes(get_the_content()), true), 0 , 150, '&hellip;' );
   endwhile; endif;
   $title = get_the_title();
   if(!has_post_thumbnail()) {
     $imgae = $ogp_logo;
   }else{
    $imgae = wp_get_attachment_image_src( get_post_thumbnail_id() , 'full' );
    $imgae = $imgae[0];
  }
}
$get_locale = get_locale();
if ($get_locale == 'ja'):$get_locale = 'ja_JP'; endif;

echo '<meta property="og:url" content="'.esc_url($url).'" />'."\n";
echo '<meta property="og:type" content="'.(is_singular() ? 'article' : 'website').'" />'."\n";
echo '<meta property="og:title" content="'.esc_attr($title).'" />'."\n";
echo '<meta property="og:description" content="'.esc_attr($description).'" />'."\n";
echo '<meta property="og:image" content="'.esc_url($imgae).'" />'."\n";
echo '<meta property="og:site_name" content="'.esc_attr(get_bloginfo('name')).'" />'."\n";
echo '<meta property="og:locale" content="'.esc_attr($get_locale).'" />'."\n";
if ( get_theme_mod( 'simple_days_social_account_facebook_app_id' , '') != ''){
  echo '<meta property="fb:app_id" content="'.esc_attr(get_theme_mod( 'simple_days_social_account_facebook_app_id' , '')).'" />'."\n";
}
if ( get_theme_mod( 'simple_days_social_account_facebook_admins' , '') != ''){
  echo '<meta property="fb:admins" content="'.esc_attr(get_theme_mod( 'simple_days_social_account_facebook_admins' , '')).'" />'."\n";
}

$simple_days_twitter_card = get_theme_mod( 'simple_days_twitter_card' , 'false');
$simple_days_twitter_user_name = get_theme_mod( 'simple_days_social_account_twitter' , '');
if ( $simple_days_twitter_card != 'false' && $simple_days_twitter_user_name != ''){
  $simple_days_twitter_user_name = '@' . str_replace( '@' , '' , $simple_days_twitter_user_name );
  echo '<meta name="twitter:card" content="'.esc_attr($simple_days_twitter_card).'" />'."\n";
  echo '<meta name="twitter:site" content="'.esc_attr($simple_days_twitter_user_name).'" />'."\n";
}
}
