<?php
defined('ABSPATH') or die("Please don't run this script.");

$user = get_query_var('add_user_profile');
?>
<h2><?php echo esc_html__( 'Simple Days Social Profile', 'simple-days'); ?></h2>
<table class="form-table">
  <?php
  $simple_days_social_user_profile = get_the_author_meta( 'simple_days_social_user_profile', $user->ID );
  get_template_part( 'inc/social', 'list' );
  $social = get_query_var('social_list');
      //$social['name_list'] $social['shape_list'] $social['size_list']

  $i = 1;

  while($i <= 5){
    $sns_icon = $sns_url = '';
    ?>
    <tr>
      <th><label for="sns_icon_<?php echo esc_attr($i); ?>"><?php  echo sprintf(esc_html__( 'Social Icon #%s', 'simple-days'),esc_attr($i)); ?></label></th>
      <td>
        <?php

        if(isset($simple_days_social_user_profile['sns_icon_'.$i])){
          $sns_icon = $simple_days_social_user_profile['sns_icon_'.$i];
        }
        ?>
        <select name="sns_icon_<?php echo esc_attr($i); ?>" id="sns_icon_<?php echo esc_attr($i); ?>">
          <?php
          foreach ($social['name_list'] as $key => $value) {
            echo '<option value="'.esc_attr($key).'" '. ($sns_icon == $key ? 'selected="selected"' : '').'>'.esc_html($value).'</option>';
          }
          ?>
        </select>
      </td>
    </tr>
    <tr>
      <th><label for="sns_url_<?php echo esc_attr($i); ?>"><?php  echo sprintf(esc_html__( 'Social URL #%s', 'simple-days'),esc_attr($i)); ?></label></th>
      <td>
        <?php
        if(isset($simple_days_social_user_profile['sns_url_'.$i])){
          $sns_url = $simple_days_social_user_profile['sns_url_'.$i];
        }
        ?>
        <input type="text" name="sns_url_<?php echo esc_attr($i); ?>" id="sns_url_<?php echo esc_attr($i); ?>" value="<?php echo esc_url($sns_url); ?>" class="regular-text">
      </td>
    </tr>
    <?php
    ++$i;
  }

  $simple_days_social_option = array('icon_shape','icon_size','icon_user_color','icon_user_hover_color','icon_tooltip');
  foreach ($simple_days_social_option as $value) {
    if(isset($simple_days_social_user_profile[$value])){
      $sns_info[$value] = $simple_days_social_user_profile[$value];
    }else{
      $sns_info[$value] = '';
    }
  }
  ?>
  <tr>
    <th><label for="sns_icon_shape"><?php esc_html_e( 'Display Style', 'simple-days'); ?></label></th>
    <td>
      <?php

      if($sns_info['icon_shape'] == '')$sns_info['icon_shape'] = 'icon_square';
      foreach ($social['shape_list'] as $key => $value) {
        echo '<p><label><input name="sns_icon_shape" type="radio" value="'.esc_attr($key).'" class="tog" '. ($sns_info['icon_shape'] == $key ? 'checked="checked"' : '').'>'.esc_html($value).'</label></p>';
      }
      ?>
    </td>
  </tr>
  <tr>
    <th><label for="sns_icon_size"><?php esc_html_e( 'Icon Size', 'simple-days'); ?></label></th>
    <td>
      <?php

      foreach ($social['size_list'] as $key => $value) {
        echo '<p><label><input name="sns_icon_size" type="radio" value="'.esc_attr($key).'" class="tog" '. ($sns_info['icon_size'] == $key ? 'checked="checked"' : '').'>'.esc_html($value).'</label></p>';
      }
      ?>
    </td>
  </tr>
  <tr>
    <th><label for="icon_user_color"><?php esc_html_e('Specifies the color of the icon.', 'simple-days'); ?></label></th>
    <td>
      <input class="color-picker" id="icon_user_color" name="icon_user_color" type="text" value="<?php echo esc_attr( $sns_info['icon_user_color'] ); ?>" />
    </td>
  </tr>
  <tr>
    <th><label for="icon_user_hover_color"><?php esc_html_e('Specifies the color of hover.', 'simple-days'); ?></label></th>
    <td>
      <input class="color-picker" id="icon_user_hover_color" name="icon_user_hover_color" type="text" value="<?php echo esc_attr( $sns_info['icon_user_hover_color'] ); ?>" />
    </td>
  </tr>
  <tr>
    <th><label for="icon_tooltip"><?php esc_html_e('Tool tip', 'simple-days'); ?></label></th>
    <td>
      <?php

      echo '<input name="icon_tooltip" type="checkbox" id="icon_tooltip" value="1" '. ($sns_info['icon_tooltip'] == true ? 'checked="checked"' : '').'>'.esc_html__( 'Enable', 'simple-days');
      ?>
    </td>
  </tr>
</table>
