<?php
defined('ABSPATH') or die("Please don't run this script.");

if ( ! function_exists( 'simple_days_head_amp_custom_start' ) ) :
  
  function simple_days_head_amp_custom_start() {
    ob_start( 'simple_days_head_amp_custom_replace' );
  }
endif;

if ( ! function_exists( 'simple_days_head_amp_custom_replace' ) ) :
  function simple_days_head_amp_custom_replace($buffer) {
    $buffer = str_replace("id='amp-custom-inline-css'", "amp-custom", $buffer);
    $buffer = preg_replace('/<link (.*?)type=\"text\/css\"(.*?)>/i', '', $buffer);
    return $buffer;
  }
endif;

if ( ! function_exists( 'simple_days_head_amp_custom_end' ) ) :
  function simple_days_head_amp_custom_end() {
    ob_end_flush();
  }
endif;
add_action( 'wp_head', 'simple_days_head_amp_custom_start', 0 );
add_action( 'wp_head', 'simple_days_head_amp_custom_end', 100 );

if ( ! function_exists( 'simple_days_head_amp_footer_start' ) ) :
  
  function simple_days_head_amp_footer_start() {
    ob_start( 'simple_days_head_amp_footer_replace' );
  }
endif;

if ( ! function_exists( 'simple_days_head_amp_footer_replace' ) ) :
  function simple_days_head_amp_footer_replace($buffer) {
    $buffer = preg_replace('/<script type=\"text\/javascript\">(.*?)<\/script>/is', '', $buffer);
    $buffer = preg_replace('/<link rel=\"style(.*?)>/is', '', $buffer);
    return $buffer;
  }
endif;

if ( ! function_exists( 'simple_days_head_amp_footer_end' ) ) :
  function simple_days_head_amp_footer_end() {
    ob_end_flush();
  }
endif;

add_action( 'wp_footer', 'simple_days_head_amp_footer_start', 0 );
add_action( 'wp_footer', 'simple_days_head_amp_footer_end', 100 );

if ( ! function_exists( 'simple_days_TagCloud_slug_class' ) ) :
  
  function simple_days_TagCloud_slug_class( $taglinks ) {
    $taglinks = preg_replace( '/ style="(.*?)"/i', '', $taglinks );
    return $taglinks;
  }
endif;

add_filter ( 'wp_tag_cloud', 'simple_days_TagCloud_slug_class' );

if ( ! function_exists( 'simple_days_remove_widgets_style' ) ) :
  
  function simple_days_remove_widgets_style() {
    global $wp_widget_factory;
    remove_action( 'wp_head', array( $wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style' ) );
  }
endif;

add_action( 'widgets_init', 'simple_days_remove_widgets_style' );

if ( ! function_exists( 'simple_days_head_amp_custom_comment_avatar' ) ) :
  
  function simple_days_head_amp_custom_comment_avatar($get_avatar) {
    $get_avatar = preg_replace( '/<img (.*?)>/i', '<amp-img $1></amp-img>', $get_avatar );
    return $get_avatar;
  }
endif;



if ( ! function_exists( 'simple_days_head_amp_custom_comment_reply_link' ) ) :
  
  function simple_days_head_amp_custom_comment_reply_link($comment_reply_link) {
    $comment_reply_link = preg_replace( '/ onclick=\'(.*?)\'/i', '', $comment_reply_link );
    return $comment_reply_link;
  }
endif;

add_filter( 'comment_reply_link', 'simple_days_head_amp_custom_comment_reply_link' );


if (!is_user_logged_in()){

  if ( ! function_exists( 'simple_days_disable_script' ) ) :
   function simple_days_disable_script() {
     add_filter( 'get_avatar', 'simple_days_head_amp_custom_comment_avatar' );
     add_filter( 'cancel_comment_reply_link', '__return_false' );

     remove_action('wp_head', 'wp_resource_hints', 2);
     remove_action('wp_head', 'print_emoji_detection_script', 7);
     remove_action('admin_print_scripts', 'print_emoji_detection_script');
     remove_action('wp_print_styles', 'print_emoji_styles' );
     remove_action('admin_print_styles', 'print_emoji_styles');
     remove_action('wp_head', 'rest_output_link_wp_head');
     remove_action('wp_head', 'wp_oembed_add_discovery_links');
     remove_action('wp_head', 'wp_oembed_add_host_js');
     remove_action('wp_head', 'feed_links', 2);
     remove_action('wp_head', 'feed_links_extra', 3);
     remove_action('wp_head', 'rsd_link');
     remove_action('wp_head', 'wlwmanifest_link');
     remove_action('wp_head', 'wp_generator');
     remove_action('wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);
     remove_action('wp_head', 'rel_canonical');
     remove_action('wp_head', 'wp_shortlink_wp_head', 10, 0);

     remove_action( 'wp_footer', 'wp_print_footer_scripts' );
   }
 endif;
 add_action( 'init', 'simple_days_disable_script',999999999999);
}
