<?php
/**
 * Widget Profile
 *
 * @package Simple Days
 */


class simple_days_profile_widget extends WP_Widget {

	
	function __construct() {
    add_action('admin_enqueue_scripts', array($this, 'scripts'));

    parent::__construct(
			'simple_days_profile_widget', // Base ID
			esc_html__( '[Simple Days] Profile', 'simple-days' ), // Name
			array( 'description' => esc_html__( 'Support profile for Widget', 'simple-days' ), ) // Args
		);
  }
  public function widget( $args, $instance ) {

    $settings = array();

    $settings['title'] = get_theme_mod( 'simple_days_profile_title' , esc_html__( 'About me', 'simple-days'));
    $settings['name'] = get_theme_mod( 'simple_days_profile_name' , '');

    $settings['profile_image'] = get_theme_mod( 'simple_days_profile_image' , '');
    $settings['bg_image'] = get_theme_mod( 'simple_days_profile_background_image' , '');

    $settings['profile_img_shape'] = (get_theme_mod( 'simple_days_profile_image_wrap' , 'circle') == 'circle' ? ' br50' : '');
    $settings['profile_text'] = get_theme_mod( 'simple_days_profile_text' , '');

    $settings['profile_read_more_url'] = get_theme_mod( 'simple_days_profile_read_more_url' , '');
    $settings['profile_read_more_text'] = get_theme_mod( 'simple_days_profile_read_more_text' , esc_html__( 'Read More', 'simple-days' ));
    $settings['profile_read_more_blank'] = (get_theme_mod( 'simple_days_profile_read_more_blank' , false) ? ' target="_blank"' : '');

    $sns_info['icon_shape'] = get_theme_mod( 'simple_days_profile_social_link_shape','icon_square');
    $sns_info['icon_size'] = get_theme_mod( 'simple_days_profile_social_link_size','');

    $sns_info['icon_user_color']  = get_theme_mod( 'simple_days_profile_social_icon_color','');
    $sns_info['icon_user_hover_color']  = get_theme_mod( 'simple_days_profile_social_icon_hover_color','');

    $sns_info['icon_tooltip']  = get_theme_mod( 'simple_days_profile_social_icon_tooltip',false) ? ' sns_tooltip' : '';





    echo $args['before_widget'];

    set_query_var( 'profile_widget', $settings );
    get_template_part( 'inc/widget', 'profile_output' );







    $i = 1;
    $sns_info['class'] = '';
      //$sns_icon = array();
    while($i <= 5){
      $sns_info['share'][$i] = $sns_info['url'][$i] = '';
      $sns_info['icon'][$i] = get_theme_mod( 'simple_days_profile_social_icon_'.$i,'none');
      $sns_info['account'][$i] = get_theme_mod( 'simple_days_social_account_'.$sns_info['icon'][$i],'');
      if($sns_info['icon'][$i] != 'none')$sns_info['class'] = ' pf_sns_wrap';
      ++$i;
    }
    $sns_info['loop'] = 5;


    if($sns_info['class'] != ''){
      set_query_var( 'social_info', $sns_info );
      get_template_part( 'inc/social', 'output' );
    }

    echo '</div>';
    echo $args['after_widget'];
  }
  public function form( $instance ) {

  }
  public function update( $new_instance, $old_instance ) {
    $instance = array();

    return $instance;
  }

  public function scripts($hook){
    if ($hook == 'widgets.php' || $hook == 'customize.php') {
      wp_enqueue_style( 'wp-color-picker');
      wp_enqueue_script( 'wp-color-picker');

      if(is_customize_preview()){
        wp_enqueue_script('simple_days_widget-color-picker', SIMPLE_DAYS_THEME_URI . 'assets/js/customizer/color-picker-customizer.min.js', array('jquery'));
      }else{
        wp_enqueue_script('simple_days_widget-color-picker', SIMPLE_DAYS_THEME_URI . 'assets/js/customizer/color-picker-widget.min.js', array('jquery'));
      }
    }

  }


} // class simple_days_profile_widget
